class FileName {
  String lname;
  String uname;

  FileName(String name) {
    if (name == null || name
        .trim()
        .length <= 0) {
      throw new Exception("Invalid name !");
    }

    this.lname = name.toLowerCase();
    this.uname = name.substring(0, 1).toUpperCase() + name.substring(1);
  }

  @override
  String toString() {
    return 'Upper Name : $uname, Lower Name : $lname';
  }
}